1MSG

Check ACKs

GET
/hookInfo

Return ACK / delivery-status history for a specific message id (messageId query parameter). Use this to debug whether sent / delivered / read / failed hooks were generated.

Authorization

JWT token
querytoken<token>

Query Parameters

messageId*string

Message ID. Example: 0XzkmGNn4prUAQlzsHApGNRXQ0U

Response Body

Server response example

application/json
  1. response
hooks?array<>
curl -X GET 'https://api.1msg.io/123/hookInfo?messageId=0XzkmGNn4prUAQlzsHApGNRXQ0U'
{  "hooks": [    {      "id": "gBGGeSaGViBfAgnlzOSHEwK9O6F",      "type": "message",      "status": "sent",      "pricing": {        "billable": true,        "category": "business_initiated",        "pricing_model": "CBP"      },      "timestamp": "1654864094",      "conversation": {        "id": "c1f5a3a1b9ff6f2e1c43fd31543137e0",        "origin": {          "type": "business_initiated"        },        "expiration_timestamp": 1654943940      },      "recipient_id": "556123122026"    }  ]}